<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Traits\Helper;
use App\User;
use Illuminate\Http\Request;

class UsersController extends Controller
{
    use Helper;
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['users'] = User::all();
        return view("users.index",$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    public function changeStatus( Request $request)
    {
        $user = User::find($request->userId);
        $data["status"] = 0;
        if($user){
            $user->update(["status" => $request->userStatus]);
            $data["status"] = 1;
        }
        return response()->json($data);
    }

    public function changeType( Request $request)
    {
        $user = User::find($request->userId);
        $data["status"] = 0;
        if($user){
            if(in_array($request->userType, ["user","vendor"])){
                $user->update(["Type" => $request->userType]);
                $data["status"] = 1;
            }
        }
        return response()->json($data);
    }





    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        User::find($id)->delete();
        $this->setPageMessage("The User Has Been Deleted Successfully", 0);
        return redirect()->route("users.app.index");

    }
}
