<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class BranchTable extends Model
{
    protected $imgDirectoryPath = "upload" . DS . "branches" . DS;
    protected $appends = ["imgPath","imgPathUrl"];
    protected $fillable = ["store_name","latitude", "longitude", "img_url", "phone_number"];
    protected $table = "branch_table";
    public $timestamps = false;

    public function getImgPathAttribute(){
        return $this->imgDirectoryPath;
    }
    public function getImgPathUrlAttribute(){
        return "https://goldenmealpro.digisolapps.com/golden_meal_backend/public/uploads/branches/";
    }


    public function sliders(){
        return $this->hasMany(BranchTableImages::class, "branch_id", "id");
    }


}
