<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class ArAlphaSpace implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $pattern = "/^(?:\p{Arabic})[\p{Arabic} ]*$/u";
        return (bool)preg_match($pattern, $value);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The :attribute must be arabic words between it spaces only';
    }
}
