let map,marker;
let inputLat = document.querySelector("#lat");
let inputLng = document.querySelector("#lng");

function initMap() {
    let latVal = parseFloat(inputLat.value);
    let lngVal = parseFloat(inputLng.value);
    if(latVal == 0 && lngVal == 0 || ( isNaN(latVal) && isNaN(lngVal))){
        latVal = 31.963158;
        lngVal = 35.930359;
    }
    //console.log(latVal,lngVal);

    let defaultPosition = { lat: latVal, lng: lngVal };
    map = new google.maps.Map(document.getElementById("map"), {
        center: defaultPosition,
        zoom: 16,
    });
    marker = new google.maps.Marker({
        position: defaultPosition,
        map: map,
        draggable: true
    });

    map.addListener("center_changed",changeMarkerPosition);
    map.addListener("zoom_change",changeMarkerPosition);
    marker.addListener("dragend",setPositionToInputs)
}

function changeMarkerPosition(){
    let latlng = map.getCenter();
    marker.setPosition(latlng);
    setPositionToInputs();
}

function setPositionToInputs(){
    inputLat.value = marker.getPosition().lat();
    inputLng.value = marker.getPosition().lng();
}
