@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> Items</h1>
            <p>Control and view all Items</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">Items</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#ID</th>
                                <th>Item Image</th>
                                <th>English Item name</th>
                                <th>Arabic Item name</th>
                                <th>Item price</th>
                                <th>Arabic Category name</th>
                                <th>English Category name</th>
                                <th>English Item description</th>
                                <th>Arabic Item description</th>
                                <th>Item Status</th>
                                <th>Add On's</th>
                                <th>Control</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($items as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td><img src="{{$item->item_image}}" alt="" style="width: 150px"></td>
                                    <td>{{$item->item_name_en}}</td>
                                    <td>{{$item->item_name_ar}}</td>
                                    <td>{{$item->item_price}}</td>
                                    <td>{{$item->category->category_name_ar}}</td>
                                    <td>{{$item->category->category_name_en}}</td>
                                    <td>{{$item->item_description_en}}</td>
                                    <td>{{$item->item_description_ar}}</td>

                                    <td>{{$item->item_status ? "Active" : "Non-Active"}}</td>
                                    <td><a href="{{route("items.add_ons",$item->id)}}" class="btn btn-primary">Control</a></td>
                                    <td>
                                        <a href="{{route("items.edit", $item->id)}}" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="{{route("items.destroy", $item->id)}}" method="post" id="delete{{$item->id}}" style="display: none">@csrf @method("delete")</form>
                                        <span href="#" class="control-link remove" onclick='document.getElementById("delete{{$item->id}}").submit()'><i class="far fa-trash-alt"></i></span>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
@endsection
