@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> Orders</h1>
            <p>Control and view Orders</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">Orders</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#ID</th>
                                <th>Order number</th>
                                <th>Phone number</th>
                                <th>Status</th>
                                <th>Payment Method</th>
                                <th>Total Quantity</th>
                                <th>Tax</th>
                                <th>Total Amount</th>
                                <th>Address</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>instruction</th>
                                <th>Details</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($orders as $order)
                            <tr>
                                <td>{{$order->id}}</td>
                                <td>{{$order->order_number}}</td>
                                <td>{{$order->phone_number}}</td>
                                <td>{{$order->Status}}</td>
                                <td>{{$order->paymentMethod}}</td>
                                <td>{{$order->totalQty}}</td>
                                <td>{{$order->tax}}</td>
                                <td>{{$order->Total_Amount}}</td>
                                <td>{{$order->DropOffAddress}}</td>
                                <td>{{$order->created_at->diffForhumans()}}</td>
                                <td>{{$order->updated_at->diffForhumans()}}</td>
                                <td>{{$order->instruction}}</td>
                                <td>
                                    <a href="{{route("orders.details", $order->id)}}" class="control-link"><i class="far fa-eye"></i></a>
                                </td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
@endsection
