@extends("layouts.dashboard.app")

@section("page-nav-title")
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> App Users</h1>
            <p>Control and view all App Users</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">App Users</a></li>
        </ul>
    </div>
@endsection
@section("content")
    @include("layouts.main-parts.page-message")
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                    <table class="table table-hover table-bordered" id="sampleTable">
                        <thead>
                            <tr>
                                <th>#ID</th>
                                <th>First name</th>
                                <th>Last name</th>
                                <th>Email</th>
                                <th>Phone number</th>
                                <th>Is Logged in</th>
                                <th>Address</th>
                                <th>Type</th>
                                <th>Status</th>
                                <th>Control</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>

                                <td>{{$user->id}}</td>
                                <td>{{$user->first_name}}</td>
                                <td>{{$user->last_name}}</td>
                                <td>{{$user->email}}</td>
                                <td>{{$user->MobileNumber}}</td>
                                <td>{{$user->is_logged_in ? "Yes" : "No"}}</td>
                                <td>{{$user->Address}}</td>
{{--                                <td>{{$user->Type}}</td>--}}
                                <td>
                                    <div class="toggle-flip change-type-user">
                                        <label>
                                            <input  type="checkbox" data-val="{{$user->Type}}" data-userid="{{$user->id}}" {{checked("Type", "user", $user)}}><span class="flip-indecator" data-toggle-on="user" data-toggle-off="vendor"></span>
                                        </label>
                                    </div>
                                </td>

                                <td>
                                    <div class="toggle-flip change-status">
                                        <label>
                                            <input type="checkbox" data-val="{{$user->status}}" data-userid="{{$user->id}}" {{checked("status", 1, $user)}}><span class="flip-indecator" data-toggle-on="ON" data-toggle-off="OFF"></span>
                                        </label>
                                    </div>
                                </td>

                                <td>
                                    <form action="{{route("users.app.destroy", $user->id)}}" method="post" id="delete{{$user->id}}" style="display: none">@csrf @method("delete")</form>
                                    <span href="#" class="control-link remove" onclick='document.getElementById("delete{{$user->id}}").submit()'><i class="far fa-trash-alt"></i></span>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section("scripts")
    <!-- Data table plugin-->
    <script type="text/javascript" src="{{asset("assets/js/plugins/jquery.dataTables.min.js")}}"></script>
    <script type="text/javascript" src="{{asset("assets/js/plugins/dataTables.bootstrap.min.js")}}"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
    <script type="text/javascript">

        $(".change-type-user input[type=\"checkbox\"]").on("click",function (){
            let val = $(this).data("val");
            let userId = $(this).data("userid");
            let newType = val == 'user' ? 'vendor' : 'user';
            let checkBox = $(this);
            $.ajax({
                type: "POST",
                url:"/api/users/app/change_type",
                data:{userType: newType, userId: userId}, // serializes the form's elements.
                success: function(response)
                {
                    if(response.status == 1){
                        if(newType == 'user')
                            checkBox.attr('checked', true);
                        else
                            checkBox.attr('checked', false);
                        checkBox.attr("data-val",newType);
                    }
                },
                error:function(){
                    console.error("you have error");
                }
            });
        });
    </script>
@endsection
