<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
define("DS",DIRECTORY_SEPARATOR);

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();

Route::group(["middleware" => "auth", "namespace" => "Web"],function(){
    Route::get('/', "DashboardController@index")->name("dashboard.index");
    Route::resource("branches", "BranchTableController");
    Route::get("users/app", "UsersController@index")->name("users.app.index");
    Route::delete("users/app/{id}", "UsersController@destroy")->name("users.app.destroy");
    Route::resource("admins", "UsersDashboardController");
    Route::resource("categories", "CategoryListController");
    Route::resource("items", "ItemsListController");
    Route::resource("sliders", "SliderController");
    Route::get("branch/{id}/slider","BranchTableController@slider")->name("branch.slider");
    Route::put("branch/slider","BranchTableController@saveSlider")->name("branch.slider.save");
    Route::get("items/{id}/add_ons","AddOnsController@index")->name("items.add_ons");
    Route::get("items/{id}/add_ons/create","AddOnsController@create")->name("items.add_ons.create");
    Route::post("items/{id}/add_ons","AddOnsController@store")->name("items.add_ons.store");
    Route::get("items/{item_id}/add_ons/{id}/edit","AddOnsController@edit")->name("items.add_ons.edit");
    Route::put("items/{item_id}/add_ons/{id}","AddOnsController@update")->name("items.add_ons.update");
    Route::delete("items/{item_id}/add_ons/{id}/","AddOnsController@destroy")->name("items.add_ons.destroy");

    Route::get("orders","OrderController@index")->name("orders.index");
    Route::get("orders/{id}/details","OrderController@details")->name("orders.details");



});
Route::get('/test/test1', function(){
    return request()->routeIs("test.*");
})->name("test.index");
