<?php $__env->startSection("page-nav-title"); ?>
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> Add Ons</h1>
            <p>Control and view all Add Ons</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">Items</a></li>
            <li class="breadcrumb-item"><a href="#"><?php echo e($item->item_name_en); ?> ( <?php echo e($item->item_name_ar); ?> )</a></li>
            <li class="breadcrumb-item"><a href="#">Add Ons</a></li>
        </ul>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("content"); ?>
    <?php echo $__env->make("layouts.main-parts.page-message", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="tile">
                <div class="row">
                    <div class="col-lg-3">
                        <img src="<?php echo e($item->item_image); ?>" alt="" class="full-box-img">
                    </div>
                    <div class="col-lg-9">
                        <h3 class="tile-title"><?php echo e($item->item_name_en); ?> </h3>
                        <h3 class="tile-title"><?php echo e($item->item_name_ar); ?></h3>
                        <h3 class="tile-title">$<?php echo e($item->item_price); ?></h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-title-w-btn"><a href="<?php echo e(route('items.add_ons.create', $item->id)); ?>" class="btn btn-primary">Create New Add On's Category</a></div>
                <div class="tile-title">Add Ons Categories</div>
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#ID</th>
                                <th>English name</th>
                                <th>Arabic name</th>
                                <th>Choice Type</th>
                                <th>Control</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $addOns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $addOn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($addOn->id); ?></td>
                                    <td><?php echo e($addOn->add_ons_name_en); ?></td>
                                    <td><?php echo e($addOn->add_ons_name_ar); ?></td>
                                    <td><?php echo e($addOn->which_choice == 1 ? "Single" : "Multi"); ?></td>

                                    <td>
                                        <a href="<?php echo e(route("items.add_ons.edit", [$item->id, $addOn->id])); ?>" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="<?php echo e(route("items.add_ons.destroy", [$item->id, $addOn->id])); ?>" method="post" id="delete<?php echo e($addOn->id); ?>" style="display: none"><?php echo csrf_field(); ?> <?php echo method_field("delete"); ?></form>
                                        <span href="#" class="control-link remove" onclick='document.getElementById("delete<?php echo e($addOn->id); ?>").submit()'><i class="far fa-trash-alt"></i></span>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("scripts"); ?>
    <!-- Data table plugin-->
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/jquery.dataTables.min.js")); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/dataTables.bootstrap.min.js")); ?>"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("layouts.dashboard.app", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\projects\goldenmeal\resources\views/add_ons/index.blade.php ENDPATH**/ ?>