<?php $__env->startSection("page-nav-title"); ?>
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> App Users</h1>
            <p>Control and view all App Users</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">App Users</a></li>
        </ul>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("content"); ?>
    <?php echo $__env->make("layouts.main-parts.page-message", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                    <table class="table table-hover table-bordered" id="sampleTable">
                        <thead>
                            <tr>
                                <th>#ID</th>
                                <th>First name</th>
                                <th>Last name</th>
                                <th>Email</th>
                                <th>Phone number</th>
                                <th>Is Logged in</th>
                                <th>Address</th>
                                <th>Type</th>
                                <th>Status</th>
                                <th>Control</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>

                                <td><?php echo e($user->id); ?></td>
                                <td><?php echo e($user->first_name); ?></td>
                                <td><?php echo e($user->last_name); ?></td>
                                <td><?php echo e($user->email); ?></td>
                                <td><?php echo e($user->MobileNumber); ?></td>
                                <td><?php echo e($user->is_logged_in ? "Yes" : "No"); ?></td>
                                <td><?php echo e($user->Address); ?></td>

                                <td>
                                    <div class="toggle-flip change-type-user">
                                        <label>
                                            <input  type="checkbox" data-val="<?php echo e($user->Type); ?>" data-userid="<?php echo e($user->id); ?>" <?php echo e(checked("Type", "user", $user)); ?>><span class="flip-indecator" data-toggle-on="user" data-toggle-off="vendor"></span>
                                        </label>
                                    </div>
                                </td>

                                <td>
                                    <div class="toggle-flip change-status">
                                        <label>
                                            <input type="checkbox" data-val="<?php echo e($user->status); ?>" data-userid="<?php echo e($user->id); ?>" <?php echo e(checked("status", 1, $user)); ?>><span class="flip-indecator" data-toggle-on="ON" data-toggle-off="OFF"></span>
                                        </label>
                                    </div>
                                </td>

                                <td>
                                    <form action="<?php echo e(route("users.app.destroy", $user->id)); ?>" method="post" id="delete<?php echo e($user->id); ?>" style="display: none"><?php echo csrf_field(); ?> <?php echo method_field("delete"); ?></form>
                                    <span href="#" class="control-link remove" onclick='document.getElementById("delete<?php echo e($user->id); ?>").submit()'><i class="far fa-trash-alt"></i></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("scripts"); ?>
    <!-- Data table plugin-->
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/jquery.dataTables.min.js")); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/dataTables.bootstrap.min.js")); ?>"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
    <script type="text/javascript">

        $(".change-type-user input[type=\"checkbox\"]").on("click",function (){
            let val = $(this).data("val");
            let userId = $(this).data("userid");
            let newType = val == 'user' ? 'vendor' : 'user';
            let checkBox = $(this);
            $.ajax({
                type: "POST",
                url:"/api/users/app/change_type",
                data:{userType: newType, userId: userId}, // serializes the form's elements.
                success: function(response)
                {
                    if(response.status == 1){
                        if(newType == 'user')
                            checkBox.attr('checked', true);
                        else
                            checkBox.attr('checked', false);
                        checkBox.attr("data-val",newType);
                    }
                },
                error:function(){
                    console.error("you have error");
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("layouts.dashboard.app", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\projects\goldenmeal\resources\views/users/index.blade.php ENDPATH**/ ?>