<?php $__env->startSection("page-nav-title"); ?>
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> Order Details</h1>
            <p>Control and view all Add Ons</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="<?php echo e(route("orders.index")); ?>">Orders</a></li>
            <li class="breadcrumb-item"><a href="#"><?php echo e($order->id); ?></a></li>
            <li class="breadcrumb-item"><a href="#">Details</a></li>
        </ul>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("content"); ?>
    <?php echo $__env->make("layouts.main-parts.page-message", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="tile">
                <div class="row">
                    <div class="col-lg-9">
                        <div class="order-info">
                            <label>Order number</label>
                            <div class="value">#<?php echo e($order->id); ?></div>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="order-info">
                            <label>Order Date</label>
                            <div class="value"><?php echo e($order->created_at->diffForhumans()); ?></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-title">Items</div>
                <div class="tile-body">
                    <?php $__currentLoopData = $order->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="tile">
                        <div class="row">
                            <div class="col-lg-2">
                                <img src="<?php echo e($item->item_image); ?>" alt="" class="full-box-img">
                            </div>
                            <div class="col-lg-10">
                                <div class="row">
                                    <div class="col-lg-10">
                                        <h5><span style="color: var(--primary)"><?php echo e($item->quantity); ?></span> * <?php echo e($item->item_name_en); ?></h5>
                                        <h5><?php echo e($item->item_name_ar); ?></h5>
                                        <?php $__currentLoopData = $item->addOns; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $addOn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="mt-4">
                                            <h5><?php echo e($addOn->AddOns_Category_name); ?></h5>
                                            <div class="row">
                                                <div class="col-lg-7 text-size-17 color-sub font-weight-bold">
                                                    <?php echo e($addOn->AddOns_name); ?>

                                                </div>
                                                <div class="col-lg-5 color-primary text-size-16 ">
                                                    <?php echo e($addOn->AddOns_price); ?> JOD
                                                </div>
                                            </div>
                                        </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </div>
                                    <div class="col-lg-2">
                                        <div class="order-info mb-3">
                                            <label style="font-size: 18px">Item Price</label>
                                            <div class="value" style="font-size: 16px"><?php echo e($item->itemPrice); ?> JOD</div>
                                        </div>
                                        <div class="order-info">
                                            <label style="font-size: 18px">Total Price</label>
                                            <div class="value" style="font-size: 16px"><?php echo e($item->totalPrice); ?> JOD</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("scripts"); ?>
    <!-- Data table plugin-->
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/jquery.dataTables.min.js")); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/dataTables.bootstrap.min.js")); ?>"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("layouts.dashboard.app", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\projects\goldenmeal\resources\views/orders/details.blade.php ENDPATH**/ ?>