<?php $__env->startSection("page-nav-title"); ?>
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> Branches</h1>
            <p>Control and view all Branches of Store</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">Branches</a></li>
        </ul>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("content"); ?>
    <?php echo $__env->make("layouts.main-parts.page-message", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                    <table class="table table-hover table-bordered" id="sampleTable">
                        <thead>
                            <tr>
                                <th>#ID</th>
                                <th>Image</th>
                                <th>Branch Place</th>
                                <th>Location on the Map</th>
                                <th>Phone number</th>
                                <th>Slider</th>
                                <th>Control</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $branchs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>

                                <td><?php echo e($branch->id); ?></td>
                                <td><img src="<?php echo e($branch->img_url); ?>" alt="image" style="width: 80px;max-height: 80px"></td>
                                <td><?php echo e($branch->store_name); ?></td>
                                <td>
                                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#openMap<?php echo e($branch->id); ?>">
                                        Open The Map
                                    </button>
                                    <div class="modal fade" id="openMap<?php echo e($branch->id); ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-lg">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalLabel">Location on the Map</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <iframe
                                                        id="map"
                                                        allowfullscreen
                                                        src="https://www.google.com/maps/embed/v1/place?key=<?php echo e(env("GOOGLE_API_KEY")); ?>&q=<?php echo e($branch->latitude); ?>,<?php echo e($branch->longitude); ?>">
                                                    </iframe>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td><?php echo e($branch->phone_number); ?></td>
                                <td><a href="<?php echo e(route("branch.slider",$branch->id)); ?>" class="btn btn-primary">Control</a></td>
                                <td>
                                    <a href="<?php echo e(route("branches.edit", $branch->id)); ?>" class="control-link edit"><i class="fas fa-edit"></i></a>
                                    <form action="<?php echo e(route("branches.destroy", $branch->id)); ?>" method="post" id="delete<?php echo e($branch->id); ?>" style="display: none"><?php echo csrf_field(); ?> <?php echo method_field("delete"); ?></form>
                                    <span href="#" class="control-link remove" onclick='document.getElementById("delete<?php echo e($branch->id); ?>").submit()'><i class="far fa-trash-alt"></i></span>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("scripts"); ?>
    <!-- Data table plugin-->
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/jquery.dataTables.min.js")); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/dataTables.bootstrap.min.js")); ?>"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("layouts.dashboard.app", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\projects\goldenmeal\resources\views/branch/index.blade.php ENDPATH**/ ?>