<?php $__env->startSection("page-nav-title"); ?>
    <div class="app-title">
        <div>
            <h1><i class="fa fa-dashboard"></i> Items</h1>
            <p>Control and view all Items</p>
        </div>
        <ul class="app-breadcrumb breadcrumb">
            <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
            <li class="breadcrumb-item"><a href="#">Items</a></li>
        </ul>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection("content"); ?>
    <?php echo $__env->make("layouts.main-parts.page-message", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="tile">
                <div class="tile-body">
                    <div class="table-responsive">
                        <table class="table table-hover table-bordered" id="sampleTable">
                            <thead>
                            <tr>
                                <th>#ID</th>
                                <th>Item Image</th>
                                <th>English Item name</th>
                                <th>Arabic Item name</th>
                                <th>Item price</th>
                                <th>Arabic Category name</th>
                                <th>English Category name</th>
                                <th>English Item description</th>
                                <th>Arabic Item description</th>
                                <th>Item Status</th>
                                <th>Add On's</th>
                                <th>Control</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($item->id); ?></td>
                                    <td><img src="<?php echo e($item->item_image); ?>" alt="" style="width: 150px"></td>
                                    <td><?php echo e($item->item_name_en); ?></td>
                                    <td><?php echo e($item->item_name_ar); ?></td>
                                    <td><?php echo e($item->item_price); ?></td>
                                    <td><?php echo e($item->category->category_name_ar); ?></td>
                                    <td><?php echo e($item->category->category_name_en); ?></td>
                                    <td><?php echo e($item->item_description_en); ?></td>
                                    <td><?php echo e($item->item_description_ar); ?></td>

                                    <td><?php echo e($item->item_status ? "Active" : "Non-Active"); ?></td>
                                    <td><a href="<?php echo e(route("items.add_ons",$item->id)); ?>" class="btn btn-primary">Control</a></td>
                                    <td>
                                        <a href="<?php echo e(route("items.edit", $item->id)); ?>" class="control-link edit"><i class="fas fa-edit"></i></a>
                                        <form action="<?php echo e(route("items.destroy", $item->id)); ?>" method="post" id="delete<?php echo e($item->id); ?>" style="display: none"><?php echo csrf_field(); ?> <?php echo method_field("delete"); ?></form>
                                        <span href="#" class="control-link remove" onclick='document.getElementById("delete<?php echo e($item->id); ?>").submit()'><i class="far fa-trash-alt"></i></span>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection("scripts"); ?>
    <!-- Data table plugin-->
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/jquery.dataTables.min.js")); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset("assets/js/plugins/dataTables.bootstrap.min.js")); ?>"></script>
    <script type="text/javascript">$('#sampleTable').DataTable();</script>
    <!-- Google analytics script-->
    <script type="text/javascript">
        if(document.location.hostname == 'pratikborsadiya.in') {
            (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
                (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
                m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
            })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
            ga('create', 'UA-72504830-1', 'auto');
            ga('send', 'pageview');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make("layouts.dashboard.app", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\projects\goldenmeal\resources\views/items/index.blade.php ENDPATH**/ ?>